const csvLink = "https://raw.githubusercontent.com/ZeynebMhamedi/VizHub/main/mydataset.csv"

d3.csv(csvLink).then((data) => {
  console.log(data); // Log the imported data to the console

  // Create a table
  const table = d3.select('body')
    .append('table')
    .attr('class', 'data-table');

  // Create table header
  const header = table.append('thead').append('tr');
  header
    .selectAll('th')
    .data(Object.keys(data[0]))
    .enter()
    .append('th')
    .text(d => d);

  // Create table body
  const body = table.append('tbody');

  // Add rows
  const rows = body.selectAll('tr')
    .data(data)
    .enter()
    .append('tr');

  // Add cells
  rows.selectAll('td')
    .data(d => Object.values(d))
    .enter()
    .append('td')
    .text(d => d);

}).catch((error) => {
  console.error("Error loading the CSV data:", error);
});
